> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific evaluation result by ID



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml get /evaluation/{id}
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /evaluation/{id}:
    get:
      summary: Get a specific evaluation result by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: includeAllScores
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: >-
            Whether to include all scored pairs with their scores and reasons in
            the API response (useful for detailed analysis)
      responses:
        '200':
          description: Successfully retrieved evaluation result
          content:
            application/json:
              schema:
                type: object
                properties:
                  results_id:
                    type: string
                  created_at:
                    type: string
                  dataset_id:
                    type: string
                  metrics_id:
                    type: string
                  metrics_definitions:
                    type: array
                    items:
                      type: string
                  pair_count:
                    type: integer
                  system_prompt:
                    type: string
                  score_means:
                    type: array
                    items:
                      type: number
                  score_medians:
                    type: array
                    items:
                      type: number
                  score_mins:
                    type: array
                    items:
                      type: number
                  score_maxes:
                    type: array
                    items:
                      type: number
                  score_std_devs:
                    type: array
                    items:
                      type: number
                  score_confidence_intervals:
                    type: array
                    items:
                      type: object
                      properties:
                        ci_low:
                          type: number
                        ci_high:
                          type: number
                        ci_confidence:
                          type: number
                  min_scoring_pairs:
                    type: array
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          reason:
                            type: string
                          pair_id:
                            type: string
                          score:
                            type: number
                  all_scored_pairs:
                    type: array
                    description: >-
                      All scored pairs with scores and reasons (only included
                      when includeAllScores=true)
                    items:
                      type: array
                      items:
                        type: object
                        properties:
                          reason:
                            type: string
                          pair_id:
                            type: string
                          score:
                            type: number
                  human_critique:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        pair_id:
                          type: string
                        metric_idx:
                          type: integer
                        comment:
                          type: string
                        vote:
                          type: integer
                          enum:
                            - -1
                            - 0
                            - 1
                        user:
                          type: string
                        user_email:
                          type: string
                        time:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````